Cómo actualizar Ubuntu para tapar el fallo de OpenSSL Heartbleed

>>>>>>)

El bug OpenSSL de Heartbleed es diferente de prácticamente cualquier otra amenaza a la seguridad en Internet de la que probablemente haya oído hablar. No es un virus específico de un sistema operativo o tipo de dispositivo. Dado que gira en torno a un fallo en el método de cifrado utilizado por muchos de los sitios web del mundo, afecta a casi todos los usuarios de Internet, incluidas las personas que utilizan servidores que ejecutan Ubuntu Linux, el sistema operativo gratuito de código abierto.

MÁS: ¿Qué sitios web se ven afectados por el fallo de cifrado de OpenSSL Heartbleed?

Afortunadamente, con la ayuda de unos pocos comandos, puede comprobar si la versión de Ubuntu que está utilizando es vulnerable al error Heartbleed, y también actualizar Ubuntu para asegurarse de que la vulnerabilidad está sellada y parcheada. Es importante tener en cuenta que múltiples versiones de Ubuntu están afectadas, incluyendo Ubuntu 12.04 LTS, Ubuntu 12.10 y Ubuntu 13.10, por lo que es imperativo que se asegure de que la versión que ejecuta es segura - o actualizar a una que lo sea. Así es como, según ansoncheunghk.info.

  1. Primero, ejecute este comando: # sudo openssl version -a. Lo que es importante aquí es la línea que comienza con "built on", que te da una fecha para la versión de Ubuntu que estás ejecutando en tu servidor. Si está usando una versión con fecha anterior al 7 de abril, es vulnerable al virus Heartbleed. Si está fechado el 7 de abril o después, está libre de sospecha. Esto es lo que debe hacer si no lo está, como la versión que se muestra a continuación, con fecha del 4 de junio de 2013.

           2. Ejecute este comando: # sudo apt-get dist-upgrade. Esto conectará su versión de Ubuntu con la última actualización de seguridad.

              3. Luego reinicie su servidor Ubuntu usando este comando: # sudo reboot. Una vez finalizado el reinicio, utilice el mismo comando que utilizó en el paso 1 para verificar que la fecha de instalación de Ubuntu sea el 7 de abril o posterior, comprobando la línea que comienza con "built on".

¿Tienes otros consejos para hacer que Ubuntu esté a salvo del virus Heartbleed? Si es así, por favor compártalas en los comentarios que siguen.

MÁS: Cómo comprobar si un sitio web es vulnerable al virus Heartbleed

Crédito de la imagen: http://www.themebin.com

Imagen corporal créditos:http://www.ansoncheunghk.info

Deja una respuesta

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

¡NO sigas este enlace o serás bloqueado en este sitio!